/*******************************************************************************
 * FoxStorePreviewNode_Pack generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxStorePreviewNode_Pack extends FoxStorePreviewNode_PreviewBase within FoxStoreUIItemDetail
    config(UI);

function MakePreviewActor()
{
    // End:0x3F0
    if(FoxCustomPackActor(Outer.PreviewActor) == none)
    {
        // End:0x7E
        if(Outer.PreviewActor != none)
        {
            Outer.PreviewActor.Destroy();
        }
        Outer.PreviewActor = Outer.Outer.Outer.Outer.PCOwner.Spawn(class'FoxCustomPackActor', Outer.Outer.Outer.Outer.PCOwner,, Outer.PreviewSpawnPoint.Location, Outer.PreviewSpawnPoint.Rotation);
        Outer.PreviewActor.OwnerPC = Outer.Outer.Outer.Outer.PCOwner;
        Outer.PreviewActor.MoveWeaponToIdealPosition(float(WeaponXPos), float(WeaponYPos), float(WeaponWidth), float(WeaponHeight));
        Outer.Outer.Outer.Outer.PCOwner.SetViewTarget(Outer.PreviewActor);
        Outer.Outer.Outer.Outer.PCOwner.PlayerCamera.DoUpdateCamera(0.0);
    }
    UpdatePreviewActor();
    //return;    
}

function UpdatePreviewActor()
{
    FoxCustomPackActor(Outer.PreviewActor).SetPackFromUnlockID(ItemUnlockID, ItemUnlockID);
    //return;    
}
